Bug 849130 - cntlm started too early
cntlm started too early
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cntlm (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matt Domsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 07:54 EDT by Jens- Birger Schlie
Modified: 2013-07-31 23:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 650079
Environment:
Last Closed: 2013-07-31 23:38:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens- Birger Schlie 2012-08-17 07:54:41 EDT
+++ This bug was initially created as a clone of Bug #650079 +++

Description of problem:

cntlm is started too early so it's not able to resolve the configured proxy and dies. This problem only occurs when the given proxy is resolved using DNS.

When started after the system has come up using "service cntlmd start" it works flawless.

Version-Release number of selected component (if applicable):

cntlm 0.92


How reproducible:

Install cntlm package and configure a proxy (using DNS name, no IP or /etc/hosts resolved name)
 
Actual results:

service failed to start up at boot time

Expected results:

service starts successfully

Additional info:

Same symptoms, similar log as in 650079 orig. Will provide more details; there is the same problem with network manager and cntlm and upstart start order on ubuntu 12.
Comment 1 Jens- Birger Schlie 2012-10-01 07:44:31 EDT
Issue is solved @debian / ubuntu. http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=686368

There is an upstream fix for this and other errors as cntlm version 0.92.3 available. 

See: http://www.awk.cz/svn/revision.php?repname=Cntlm&rev=280

Can s.o. pack 0.92.3 as rpm package?

Yours, 

Jens
Comment 2 Fedora End Of Life 2013-07-03 20:11:15 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 23:38:05 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.